Skip to main content
GET
/
webhooks
/
apps
/
{app_slug}
/
deliveries
/
replay
List replay tasks
curl --request GET \
  --url https://api.wacht.dev/webhooks/apps/{app_slug}/deliveries/replay \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "task_id": "webhook-replay-batch-123-456",
      "app_slug": "my-webhook-app",
      "status": "running",
      "created_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "total_count": 100,
      "processed": 50,
      "replayed_count": 48,
      "failed_count": 2,
      "last_delivery_id": 123
    }
  ],
  "limit": 20,
  "offset": 0,
  "has_more": false
}

Authorizations

Authorization
string
header
required

API key authentication (format: Bearer {api_key})

Path Parameters

app_name
string
required

Webhook app name

Query Parameters

limit
integer
default:50

Number of items to return

Required range: 1 <= x <= 100
offset
integer
default:0

Number of items to skip

Required range: x >= 0

Response

List of replay tasks

data
object[]
limit
integer
Example:

20

offset
integer
Example:

0

has_more
boolean
Example:

false